Bug 984204 - iscsi-initiator-utils does not support aarch64 in f19 and rawhide
iscsi-initiator-utils does not support aarch64 in f19 and rawhide
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: iscsi-initiator-utils (Show other bugs)
19
aarch64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Chris Leech
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-13 11:46 EDT by D. Marlin
Modified: 2015-02-17 11:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:07:46 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to add Aarch64 support. (3.15 KB, patch)
2013-07-13 11:47 EDT, D. Marlin
no flags Details | Diff

  None (edit)
Description D. Marlin 2013-07-13 11:46:22 EDT
Description of problem:

Support for the ARM 64 bit CPU architecture (aarch64) was introduced in 
autoconf 2.69.  iscsi-initiator-utils does not build on aarch64.  The attached patch allows it to build, but migrating the package to use autoconf 2.69 or running autoreconf to regenerate the configure script might be better alternatives.


Version-Release number of selected component (if applicable):

iscsi-initiator-utils-6.2.0.873-7.fc19


How reproducible:

Consistently


Steps to Reproduce:
1.  build iscsi-initiator-utils on an aarch64 simulator
2.
3.

Actual results:
    :
checking build system type... aclocal/config.guess: unable to guess system type
This script, last modified 2005-05-27, has failed to recognize
the operating system you are using. It is advised that you
download the most up to date version of the config scripts from
  http://savannah.gnu.org/cgi-bin/viewcvs/*checkout*/config/config/config.guess
and
  http://savannah.gnu.org/cgi-bin/viewcvs/*checkout*/config/config/config.sub
If the version you run (aclocal/config.guess) is already up to date, please
send the following data and any information you think might be
pertinent to <config-patches@gnu.org> in order to provide the needed
information to handle your system.
config.guess timestamp = 2005-05-27
uname -m = aarch64
uname -r = 3.10.0-rc5
uname -s = Linux
uname -v = #1 SMP Mon Jun 10 13:17:41 EDT 2013
/usr/bin/uname -p = aarch64
/bin/uname -X     = 
hostinfo               = 
/bin/universe          = 
/usr/bin/arch -k       = 
/bin/arch              = aarch64
/usr/bin/oslevel       = 
/usr/convex/getsysinfo = 
UNAME_MACHINE = aarch64
UNAME_RELEASE = 3.10.0-rc5
UNAME_SYSTEM  = Linux
UNAME_VERSION = #1 SMP Mon Jun 10 13:17:41 EDT 2013
configure: error: cannot guess build type; you must specify one
make: *** [utils/open-isns/Makefile] Error 1


Expected results:

Package builds without errors


Additional info:

Since Aarch64 hardware is not currently available, builds are only accomplished using the Aarch64 model (simulator).

  http://fedoraproject.org/wiki/Architectures/ARM/AArch64/QuickStart
Comment 1 D. Marlin 2013-07-13 11:47:58 EDT
Created attachment 773090 [details]
Patch to add Aarch64 support.

This is a minimal patch to config.[sub|guess] to recognize aarch64.
Comment 2 Fedora End Of Life 2015-01-09 13:53:44 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2015-02-17 11:07:46 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.